Loading...
Searching...
No Matches
itk::OpenCLContextScopeGuard Class Reference

`#include <itkOpenCLContextScopeGuard.h>`

## Detailed Description

Releases the global OpenCL context when the guard gets out of scope.

Definition at line 31 of file itkOpenCLContextScopeGuard.h.

## Public Member Functions

| ITK_DISALLOW_COPY_AND_MOVE (OpenCLContextScopeGuard)
| OpenCLContextScopeGuard ()=default
| ~OpenCLContextScopeGuard ()

## Constructor & Destructor Documentation

## OpenCLContextScopeGuard()

itk::OpenCLContextScopeGuard::OpenCLContextScopeGuard | ( |  | ) |

default

## ~OpenCLContextScopeGuard()

itk::OpenCLContextScopeGuard::~OpenCLContextScopeGuard | ( |  | ) |

inline

Definition at line 37 of file itkOpenCLContextScopeGuard.h.

## Member Function Documentation

## ITK_DISALLOW_COPY_AND_MOVE()

itk::OpenCLContextScopeGuard::ITK_DISALLOW_COPY_AND_MOVE | ( | OpenCLContextScopeGuard |  | ) |

Generated on 1768596610 for elastix by 1.15.0 |